<div class="alert alert-success" role="alert" *ngIf="orderPosted">
    Your order has been received. The delivery information will be notified through your email and phone. <a [routerLink]="['/shop']">Shop More</a>
</div>

<ul class="list-group" *ngIf="cartItems && cartItems.length">
    <li class="list-group-item clearfix" *ngFor="let items of cartItems">
        <p class="float-left">{{items.title['rendered']}}</p>
        <div class="float-right clearfix">
            <p class="float-left">{{items.price| currency: 'Rs.'}}</p>
            <p class="float-left"> * {{items.quantity}}</p>
        </div>
    </li>
    <p style="text-align: end" class="alert alert-dark">Total Amount: {{totalAmount | currency: 'Rs.'}}</p>
</ul>

<form novalidate
      (ngSubmit)="onCheckOut()"
      [formGroup]="customerForm"
      style="margin: 40px 0" *ngIf="!orderPosted">

    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="name">Name</label>
            <input type="text"
                   class="form-control"
                   id="name"
                   placeholder="Enter name"
                   formControlName="name"
                   [ngClass]="{'is-invalid': (customerForm.get('name').touched ||
                                                customerForm.get('name').dirty) &&
                                                !customerForm.get('name').valid}"/>
            <span class="invalid-feedback">
                        <span *ngIf="customerForm.get('name').errors?.required">
                            Please enter the name.
                        </span>
        </span>
        </div>

        <div class="form-group col-md-6">
            <label for="phoneNumber">Phone Number</label>
            <input type="tel"
                   class="form-control"
                   id="phoneNumber"
                   placeholder="Enter your phone number"
                   formControlName="phoneNumber"
                   [ngClass]="{'is-invalid': (customerForm.get('phoneNumber').touched ||
                                                customerForm.get('phoneNumber').dirty) &&
                                                !customerForm.get('phoneNumber').valid}"/>
            <span class="invalid-feedback">
                        <span *ngIf="customerForm.get('phoneNumber').errors?.required">
                            Please enter the phone number.
                        </span>
        </span>
        </div>
    </div>

    <div class="form-group">
        <label for="email">Email</label>
        <input type="email"
               class="form-control"
               id="email"
               placeholder="Enter your email"
               formControlName="email"
               [ngClass]="{'is-invalid': (customerForm.get('email').touched ||
                                                customerForm.get('email').dirty) &&
                                                !customerForm.get('email').valid}"/>
        <span class="invalid-feedback">
                        <span *ngIf="customerForm.get('email').errors?.required">
                            Please enter email.
                        </span>
        </span>
    </div>

    <div class="form-group">
        <label for="deliveryAdd">Delivery Address</label>
        <input type="text"
               class="form-control"
               id="deliveryAdd"
               placeholder="Enter address"
               formControlName="deliveryAdd"
               [ngClass]="{'is-invalid': (customerForm.get('deliveryAdd').touched ||
                                                customerForm.get('deliveryAdd').dirty) &&
                                                !customerForm.get('deliveryAdd').valid}"/>
        <span class="invalid-feedback">
                        <span *ngIf="customerForm.get('deliveryAdd').errors?.required">
                            Please enter the address.
                        </span>
        </span>
    </div>

    <button class="btn btn-primary"
            type="submit"
            style="width:80px"
            [title]="customerForm.valid ? 'Save your entered data' : 'Disabled until the form data is valid'"
            [disabled]="!customerForm.valid">
        Confirm
    </button>
</form>

